<form [formGroup]="deployTargetForm" (ngSubmit)="onSubmit()">
    <div class="modal-body">
        <div class="row">
            <div class="col-xs-10">
                <app-form-group [control]="deployTargetForm.get('server_id')">
                    <select id="server" formControlName="server_id" class="form-control">
                        <option disabled selected>Select a server...</option>
                        <option [value]="server.id" *ngFor="let server of servers.servers | async" [disabled]="server.status != '0'">{{server.name}}</option>
                    </select>
                </app-form-group>
            </div>
            <div class="col-xs-2">
                <div class="form-group">
                    <label>&nbsp;</label>
                    <a (click)="closeModal()" routerLink="/servers/create" class="btn btn-primary" style="display: block">Add new</a>
                </div>
            </div>
            <div class="col-xs-12">
                <app-form-group [control]="deployTargetForm.get('path')">
                    <input type="text" class="form-control" formControlName="path" placeholder="/var/www/example/public">
                </app-form-group>
            </div>
            <div class="col-xs-12">
                <app-form-group [control]="deployTargetForm.get('user')">
                    <input type="text" class="form-control" formControlName="user" placeholder="Custom user, else Server default">
                </app-form-group>
            </div>
            <div class="col-xs-12">
                <div class="checkbox">
                    <label>
                        <input type="checkbox" formControlName="automatic" value="1"> Auto deploy on new commits
                    </label>
                </div>
                <div class="checkbox">
                    <label>
                        <input type="checkbox" formControlName="active" value="1"> Target active
                    </label>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-danger" (click)="onDelete()" *ngIf="isEdit">Delete</button>
        <button type="submit" class="btn btn-primary">Save changes</button>
    </div>
</form>
